Computers

Restart Computer

Restart a computer

post
/v1/computer/{computerId}/restart

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Path Parameters

computerIdstring* Required

The ID of the computer to restart

Request Body * Required

Request Body Schema: application/json

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

token: process.env.CHATBOTKIT_API_TOKEN!

})

const response = await cbk.computer.restart(

computerId,
{}
)
{
"id":"string",
"status":"string"
}
The computer is running again